com.opensymphony.xwork2

## Interface UnknownHandlerManager

- All Known Implementing Classes:
    DefaultUnknownHandlerManager

      public interface UnknownHandlerManager

  An unknown handler manager contains a list of UnknownHandler and iterates on them by order
  See Also:
    `DefaultUnknownHandlerManager`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<UnknownHandler>` | `getUnknownHandlers()`
    `ActionConfig` | `handleUnknownAction(String namespace, String actionName)`
    `Object` | `handleUnknownMethod(Object action, String methodName)` Tries to handle passed methodName if cannot find method should re
    `Result` | `handleUnknownResult(ActionContext actionContext, String actionName, ActionConfig actionConfig, String resultCode)`
    `boolean` | `hasUnknownHandlers()`

- - ### Method Detail

    - #### handleUnknownResult

          Result handleUnknownResult(ActionContext actionContext,
                                   String actionName,
                                   ActionConfig actionConfig,
                                   String resultCode)

    - #### handleUnknownMethod

          Object handleUnknownMethod(Object action,
                                   String methodName)
                                     throws NoSuchMethodException

      Tries to handle passed methodName if cannot find method should re
      Parameters:
        `action` - Action's instance
        `methodName` - method name to handle
      Returns:
        Result representing result of given action method
      Throws:
        `NoSuchMethodException` - if method can be handled by defined UnknownHandlers

    - #### handleUnknownAction

          ActionConfig handleUnknownAction(String namespace,
                                         String actionName)

    - #### hasUnknownHandlers

          boolean hasUnknownHandlers()

    - #### getUnknownHandlers

          List<UnknownHandler> getUnknownHandlers()

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.